package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ReceitaDespesaDAO;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.relatorios.receitaDespesa.RelatorioFinanceiroReceitasDespesasBean;
import com.rjconsultores.ventaboletos.service.ReceitaDespesaService;

@Repository("receitaDespesaService")
public class ReceitaDespesaServiceImpl implements ReceitaDespesaService {
	
	@Autowired
	ReceitaDespesaDAO receitaDespesaoDAO;

	@Override
	public List<RelatorioFinanceiroReceitasDespesasBean> getRelatorioDetalhado(Map<String, Object> parametros) throws BusinessException {
		return receitaDespesaoDAO.getRelatorioDetalhado(parametros);
	}

	@Override
	public List<RelatorioFinanceiroReceitasDespesasBean> getRelatorioSintetico(Map<String, Object> parametros) throws BusinessException {
		return receitaDespesaoDAO.getRelatorioSintetico(parametros);
	}

	@Override
	public List<RelatorioFinanceiroReceitasDespesasBean> getRelatorioAgencia(Map<String, Object> parametros) throws BusinessException {
		return receitaDespesaoDAO.getRelatorioAgencia(parametros);
	}

	@Override
	public List<RelatorioFinanceiroReceitasDespesasBean> getRelatorioEvento(Map<String, Object> parametros) throws BusinessException {
		return receitaDespesaoDAO.getRelatorioEvento(parametros);
	}

}
